blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
a302e4af9052f303eea1655b478d99d92ee2febe | Shell | daodaoliang/uird | /initrd/usr/bin/unsquashfs | UTF-8 | 445 | 3.3125 | 3 | [] | no_license | #!/bin/bash
force=""
filexzm=""
destdir=$(pwd)
for a in "$@" ; do
[ -f "$a" ] && filexzm=$a
done
set -- `getopt "fd:" "$@"`
while [ ! -z "$1" ] ; do
case "$1" in
-f) force="f"; shift ;;
-d) destdir="$2"; shift 2 ;;
*) break;;
esac
done
[ -f $filexzm ] || exit
. /livekitlib
mkdir -p /tmp/tmpmntdir
mo... | true |
db2d771439a0709666feb306b4d3f2c087a5d9d3 | Shell | cloudfoundry/capi-ci | /ci/bosh/create_capi_release.sh | UTF-8 | 1,129 | 3.546875 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
source ~/.bashrc
VERSION=`cat next-version/version`
pushd cloud_controller_ng
if [ -n "$CC_BRANCH" ]; then
CC_COMMIT_SHA=$(git rev-parse HEAD)
fi
popd
pushd capi-release
CAPI_COMMIT_SHA=$(git rev-parse HEAD)
pushd src/cloud_controller_ng
if [ -z "$CC_COMMIT_SHA" ]; then
... | true |
3fc485b9545426814e2d13d6e46f69074fc229ca | Shell | 030/ansible-firefox | /latest_version.sh | UTF-8 | 1,460 | 3.453125 | 3 | [
"MIT",
"BSD-3-Clause"
] | permissive | #!/bin/bash -e
update() {
readonly LATEST_VERSION=$(curl -s https://product-details.mozilla.org/1.0/firefox_versions.json | jq -r .LATEST_FIREFOX_VERSION)
readonly VERSION=$(docker run -v ${PWD}:/ansible-firefox utrecht/go-yq:2.1.0 .firefox_version /ansible-firefox/defaults/main.yml)
readonly LATEST_CHECKSUM=sha512... | true |
9e2e48055bdcad689eb7fca9a5bd30912089e314 | Shell | EpiphanyMachine/dotfiles | /setup-new-machine.sh | UTF-8 | 2,086 | 2.890625 | 3 | [] | no_license | ##############################################################################################################
### XCode Command Line Tools
# thx https://github.com/alrra/dotfiles/blob/ff123ca9b9b/os/os_x/installs/install_xcode.sh
if ! xcode-select --print-path &> /dev/null; then
# Prompt user to install the... | true |
48a1fc8772fa6b11873fa4e460f640bbafe9dfb8 | Shell | TaylorGrover/func | /deploy.sh | UTF-8 | 433 | 2.640625 | 3 | [] | no_license | #! /bin/bash
if [ `lscpu | grep -i Architecture | cut -d: -f2 | cut -d' ' -f9` = "aarch64" ]
then
DIRECTORY=/data/data/com.termux/files/usr/lib/python3.7
fi
if [ `lscpu | grep -i Architecture | cut -d: -f2 | cut -d' ' -f9` = "x86_64" ]
then
DIRECTORY=/usr/lib/python3.6
fi
cp chem.py ${DIRECTORY}/chem.py
cp func.py ... | true |
9117e4c99f57cd19ba2a23fff5860f1eeecc762d | Shell | titilambert/ambassador | /build-aux/tests/prelude.bats | UTF-8 | 4,065 | 3.328125 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bats
load common
@test "prelude.mk: joinlist with separator" {
check_expr_eq echo '$(call joinlist,/,foo bar baz)' 'foo/bar/baz'
}
@test "prelude.mk: joinlist without separator" {
check_expr_eq echo '$(call joinlist,,foo bar baz)' 'foobarbaz'
}
@test "prelude.mk: quote.shell" {
# This test relies ... | true |
713a43515a53c4ca2c0d6364e4eb4d7f334430e6 | Shell | shahar3000/vim_cfg | /install.sh | UTF-8 | 1,670 | 3.34375 | 3 | [] | no_license | #!/bin/bash -e
install_ccglue() {
local ccglue_path=/tmp/ccglue
git clone https://github.com/giraldeau/ccglue.git $ccglue_path
pushd $ccglue_path
git checkout 3fa724b17d854c359e380cc9ee2ad61756696e31
autoreconf -i
./configure
make -j8
sudo make install
popd
rm -rf $ccglue_path
}
install_perquisites() {
s... | true |
7630a0a967cf96ee9415b12298eb04d7a16d7161 | Shell | petronny/aur3-mirror | /dzip/PKGBUILD | UTF-8 | 647 | 2.59375 | 3 | [
"LicenseRef-scancode-other-permissive",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | # Contributor: Charles Lindsay <charles@chaoslizard.org>
# Maintainer: Nathan O <ndowens.aur at gmail dot com>
pkgname=dzip
pkgver=2.9
pkgrel=3
pkgdesc="A lightweight file compression program originally for Quake demos"
arch=('i686' 'x86_64')
url="http://speeddemosarchive.com/dzip/"
license=('custom')
depends=('glibc')... | true |
4c395aa376afb274b53526e01d5485d9a24c73fd | Shell | hayk99/SistLegados1 | /ATM Cobol_backup/ficheros BANK1/fixDisplay.sh | UTF-8 | 409 | 3.046875 | 3 | [] | no_license | #!/bin/bash
#Autor: Hayk Kocharyan
filename=fixed/$2.cbl
echo $filename
if [ $# -ne 2 ];
then
exit 1
else
cat $1 | sed 's/DISPLAY *( *\([0-9]*\) * \([0-9]*\) *) *\("\."*\)/DISPLAY \3 LINE \1 COL \2/g' |
sed 's/DISPLAY *( *\([0-9]*\) * \([0-9]*\) *) *\([^\.]*\)/DISPLAY \3 LINE \1 COL \2/g' \
| sed 's/ACCEPT *( *\... | true |
0fffef52ac2bc6a37fb5baeb6ace08329f7e2f21 | Shell | swp-fu-eid/eid-fu-swp | /init_ci.sh | UTF-8 | 1,852 | 3.640625 | 4 | [
"MIT"
] | permissive | #!/bin/bash -
CERT_DIR=./certs
DOMAIN=eid.local
IP4_PREFIX=$(hostname -I | cut -d' ' -f 1 | cut -d. -f 1,2)
function createCert {
NAME_PREFIX=$1
openssl req -newkey rsa:2048 -nodes -keyout $NAME_PREFIX.key -x509 -days 365 -out $NAME_PREFIX.cer -subj "/C=DE/ST=Berlin/L=Berlin/O=eid-fu-swp/OU=eid-fu-swp/CN=$DOM... | true |
c4fb23a6b4618b9bafbb71e13f9c5634e30a5dc0 | Shell | bbonsign/.dotfiles | /bin/calendar | UTF-8 | 621 | 3.265625 | 3 | [] | no_license | #! /bin/bash
send_notification() {
TODAY=$(date '+%-d')
HEAD=$(cal "$1" | head -n1)
if [ "$2" -ge 3 ]; then
BODY=$(cal "$1" | tail -n7 | sed -z "s|$TODAY|<u><b>$TODAY</b></u>|g")
FOOT="\n "
else
BODY=$(cal "$1" | tail -n7 | sed -z "s|$TODAY|<u><b... | true |
7f9125ba065a68fb9eb2e5c56a2740549159d562 | Shell | nichuanfang/config-server | /linux/bash/step1/config_network.sh | UTF-8 | 1,819 | 2.578125 | 3 | [] | no_license | #!/bin/bash
echo "==================================================操作系统网络配置相关脚本,开始执行....."
sudo rm -f /var/lib/dpkg/lock-frontend
sudo rm -f /var/lib/dpkg/lock
sudo rm -f /var/cache/apt/archives/lock
sudo rm -f /var/lib/dpkg/lock-frontend
sudo apt-get install iftop -y
echo '本地主机名解析设置...'
sed -i "s/127.0.1.1\s.\w.*$... | true |
9e3e951ddf8e512bfbf795cb012e84d3d2cf4093 | Shell | vadimr/vagrant-base-box | /bootstrap.sh | UTF-8 | 1,421 | 2.984375 | 3 | [] | no_license | #!/bin/bash
set -e
# Create swapfile of 1GB with block size 1MB
dd if=/dev/zero of=/swapfile bs=1024 count=1048576
# Set up the swap file
mkswap /swapfile
# Enable swap file immediately
swapon /swapfile
# Enable swap file on every boot
echo '/swapfile swap swap defaults 0 0' >> /etc/f... | true |
605aba4f66bed0cae4d908d32753a5e9f079df73 | Shell | win-stub/YoutubeWhistleblower | /RUN_LINGUISTIQUE/test.sh | UTF-8 | 295 | 2.734375 | 3 | [] | no_license | x='bob+smith+william ghol+steve'
OLD_IFS=$IFS # save internal field separator
IFS="+" # set it to '+'
set -- $x # make the result positional parameters
IFS=$OLD_IFS # restore IFS
var1=$1
var2=$2
var3=$3
var4=$4
echo var1=$var1
echo var2=$var2
echo var3=$var3
echo var4=$var4
| true |
39b76ce34fa52aad72ef6882cbaf78a8a0cd6800 | Shell | Shelvak/random | /bins/create_tanga_pod | UTF-8 | 289 | 2.671875 | 3 | [] | no_license | #!/bin/bash
NAME=tanga
DIR="`(cd $(dirname "$0") && pwd)`"
kubectl delete pod $NAME
cd /tmp
rm -f $NAME.yml
echo -ne "1\n$NAME\n\n" | $DIR/createPodwispro.sh
kubectl -n default apply -f $NAME.yaml
kubectl wait --for=condition=ready --timeout=60s pod $NAME
kubectl exec -it $NAME bash
| true |
25b05506b8f93f4d277a31af7d2ac6bf012b8540 | Shell | subbink-capitar/fwmacro | /distro/deb/debian/python-fwmacro.preinst | UTF-8 | 186 | 2.71875 | 3 | [
"MIT"
] | permissive | #!/bin/sh
set -e
if ! which easy_install >/dev/null ; then
echo "Cannot find easy_install. Please install python-setuptools"
exit 1
fi
easy_install netaddr
easy_install plex
exit 0
| true |
26f9c83a9d7eea212085b87bf47477e7231badaf | Shell | brentleyjones/dotfiles | /moom/setup.sh | UTF-8 | 362 | 3 | 3 | [] | no_license | #!/usr/bin/env bash
set -euo pipefail
cd "${BASH_SOURCE[0]%/*}" || exit 1
source ../scripts/functions.sh
src="$(osx_realpath .)"
dst="$(osx_realpath ~/Library/Application\ Support/Code/User)"
info "setting up Moom"
if defaults import com.manytricks.Moom defaults.plist; then
success "successfully set up Moon"
... | true |
3cfb1c1af84dcba2f0c54a11f72dce484d45f09d | Shell | rickb777/sqlapi | /pgxapi/pgtest.sh | UTF-8 | 777 | 3.625 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash -e
# Setup
# -----
# This script can run some of the tests against real PostgreSQL. Therefore,
# it is necessary to create test accounts in each one beforehand.
# These all assume the existence of either
# postgres:postgres@/postgres
# test:test@/test
cd "$(dirname $0)"
PATH=$HOME/go/bin:$PATH
export... | true |
2920db6ce895bd2a0eb162238eac9a2c70a2f69f | Shell | super-Colin/100_days | /first-50-days/011__git-clone.sh | UTF-8 | 352 | 2.640625 | 3 | [] | no_license | # 12/21/19
# Learning Bash
# MOUNT THE THEMES FOLDER
cd /var/www/html/wp-content/themes
# DELETE OLD VERSION
FILE=/var/www/html/wp-content/themes/git_repo-theme
if [ -e "$FILE" ]; then
rm -rf $FILE
fi
# CLONE REPO
sudo git clone https://github.com/super-Colin/git_repo-theme.git
# WILL ASK FOR GIT USER AND PAS... | true |
ba3ffec0811dc181831602d2cb993358d1f67d1a | Shell | guoku/docker | /entity_spider/clean.sh | UTF-8 | 434 | 3.15625 | 3 | [] | no_license | BASE_DOCKER_NAME='gkspider_base'
echo $1
if [ "$1" == "all" ];
then
docker rmi $BASE_DOCKER_NAME
fi
if docker images | grep $BASE_DOCKER_NAME
then echo 'spider base image exist !!'
else docker build -t $BASE_DOCKER_NAME ./base_docker
fi
docker-compose stop
docker ps -a | grep entityspider | awk '{print $1}' | x... | true |
c229df6bd624137fb3225e2a179825bb8fe136e8 | Shell | Sunspar/dotfiles | /setup.sh | UTF-8 | 982 | 3.75 | 4 | [
"ISC"
] | permissive | #! /usr/bin/env bash
# Sunspar's Dotfiles and environment setup scripts.
#
# This script determines the desired playbook, and then executes it, bootstrapping ansible if required.
# Currently we only support macOS as thats my main machine, although adding linux distro support should
# be relatively straightforward -- d... | true |
ee4a9181fc87af7ad8530b08aac2dbf50009358a | Shell | ctb/Simulate-mRNASeq-Reads | /bash_scripts/runGeneExpChick.sh | UTF-8 | 1,500 | 2.5625 | 3 | [] | no_license | #! /bin/bash
groups='Gallus_gallus.transIdgeneId.txt'
mapped='DataSet245rep1E1R10G100_default.map'
full='DataSet245rep1E1R100G100_default.map.col1.geneExp'
name='Gallus_gallus.allGeneNames.txt'
#ref='DataSet246rep2E1R100G100RandomReadsNames.txt'
#awk... | true |
29b500b4bdfdc4fb64e3639075d63030a33139f4 | Shell | ddavidtran/Labs-at-LiU | /TDDC78 - Programming of Parallel Computers (Spring 2018)/Lab3_openmp/run.sh | UTF-8 | 174 | 2.796875 | 3 | [] | no_license | #!/bin/bash
set -e
for cores in {1,2,4,8,16}; do
echo "Cores: $cores " >> "lab3_result.txt"
ompsalloc -N1 -c$cores ./myprogram >> "lab3_result.txt"
echo ""
done
| true |
1b057c4bc02ecaf52d6df381057e4cc50cda359b | Shell | orion01500/nginx-ultimate-bad-bot-blocker | /setup-ngxblocker | UTF-8 | 7,244 | 4 | 4 | [
"MIT"
] | permissive | #!/bin/sh
### NGINX Bad Bot Blocker: setup script #################
### Copyright (C) 2017 Stuart Cardall ###
### https://github.com/itoffshore ###
### Licensed under the terms of the GPL2 ###
##########################################################
WWW=/var/www
... | true |
2f0a2488b34173f7577f8dbb981d42bcf18c2912 | Shell | tbots/docs | /libvirt/depl2/nagios/fix.sh | UTF-8 | 451 | 3.3125 | 3 | [] | no_license | #!/bin/bash
#
# check proper configuration settings
#
files=\
'/usr/local/nagios/etc/htpasswd.users
/usr/local/nagios/libexec/eventhandlers
/usr/local/nagios/libexec/check_nrpe'
for f in $files
do
if [ -e $f ]
then
# check with awk the correct permissions set
echo -e "$f\t\t`ls -ld $f | awk '{print $3 "\t" $4}... | true |
2bd70660313dde80f916b1da822a2faa6ad1c042 | Shell | spacchetti/starsuit | /scripts/build.sh | UTF-8 | 354 | 2.765625 | 3 | [] | no_license | #!/usr/bin/env bash
set -e
TAG="$(curl -H "Authorization: token $GITHUB_API_TOKEN" --silent "https://api.github.com/repos/purescript/package-sets/releases/latest" | grep '"tag_name":' | sed -E 's/.*"([^"]+)".*/\1/')"
echo "package-sets release: $TAG"
node index.js $TAG
spago install
set -f
purs docs $(spago sources)
p... | true |
94a1ce4cff36f4f7298007e8476146bb48b3cc70 | Shell | gmarcotte3/georgesrepos | /jenkinsDocker/bin/run-jenkins.bash | UTF-8 | 424 | 3.265625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#
# Assumptions:
# jenkins home is at /var/lib/jenkins
jenkins_home_dir=/var/opt/jenkins
docker_image=marcotte/jenkins-docker
if docker ps | grep "\\s${docker_image}\\s" ; then
echo "ERROR: The server is running already."
exit 1
fi
# add -d remove -i -t
docker run -d -p 8080:8080 --name jenkinsdocker ... | true |
7a80879200f346866721e8bbe9b768d767a95832 | Shell | Luismcplopes/MyMediaCenter | /install-couchpotato-sickrage.sh | UTF-8 | 3,666 | 3.390625 | 3 | [] | no_license | #!/bin/sh
# Installation script of Sickrage and CouchPotato
echo "Begining updating and installation of GIT..."
sudo apt-get --yes --force-yes update && sudo apt-get --yes --force-yes install git
echo "finished updating and instlaltion of GIT"
echo "Begining upgrading osmc..."
sudo apt-get --yes --force-yes upgrade
ech... | true |
f84bd287e21b275bb2bb8d671150dd02f4f90d92 | Shell | Kagee/make-no-list | /commoncrawl/get-domainlist.sh | UTF-8 | 295 | 2.796875 | 3 | [] | no_license | #! /bin/bash
for INDEX in $(ls ../storage/cdx-index-client/|grep -P 'CC-MAIN');
do
# Saves as $1.domains.index
echo $INDEX; ./get-domains-index.sh $INDEX;
done
cat *.domains.index commoncrawl.domains | sort | uniq > commoncrawl.domains.tmp
mv commoncrawl.domains.tmp commoncrawl.domains
| true |
4999b44df59b0cb1d2924c7585cd5584ab49828c | Shell | ngroberio/ocpAdvDepl | /roles/7_CREATE_PVS/files/create_pvs.sh | UTF-8 | 503 | 3.03125 | 3 | [] | no_license | #!/usr/bin/env bash
export GUID=`hostname | cut -d"." -f2`
mkdir -p /srv/nfs/user-vols/pv{1..50}
echo ">>> CREATE PV FOR USERS"
for pvnum in {1..50}; do echo "/srv/nfs/user-vols/pv${pvnum} *(rw,root_squash)" >> openshift-uservols.exports; done
sudo cp ./openshift-uservols.exports /etc/exports.d/
chown -R nfsnobody.n... | true |
9dda5c4e9222073c1d92f257f43848d7be0ae744 | Shell | sri-arjuna/script-tools.tui | /menu/set/up.2 | UTF-8 | 1,303 | 3.5 | 4 | [] | no_license | #!/bin/bash
#
#
#
#
#
# Date Created: 2013.02.25
script_version=0.1
#
#
# Root Check
#
[ ! 0 -eq $UID ] && \
sE "You must be root to set up and install the system." && \
ask "Reload script as root?" && \
su -c "$0 $@" && \
return 0 || return 1
#
# Title
#
sT "sea's Setup and installation handler ($script_v... | true |
b33c32732bd366c2f6ae784da89443655d179f92 | Shell | TritonDataCenter/mi-standard | /copy/var/zoneinit/includes/41-postgresql.sh | UTF-8 | 911 | 3.5 | 4 | [
"MIT"
] | permissive | [ "$(svcs -Ho state postgresql)" == "online" ] && \
svcadm disable -s -t postgresql
mdata-get pgsql_pw > /tmp/pgpasswd
log "initializing PostgreSQL"
PGDATA=$(svcprop -p config/data postgresql 2>/dev/null)
: ${PGDATA:=/var/pgsql/data}
[ -d ${PGDATA} ] && rm -rf ${PGDATA}
su - postgres -c "/opt/local/bin/initdb \
... | true |
9d640324895bd2e019fe28adf0c1497f60916747 | Shell | androdev4u/network | /salt/firewall/priv-stateful.sh | UTF-8 | 631 | 2.828125 | 3 | [] | no_license | #!/bin/sh
export PATH=/sbin:/bin:/usr/sbin:/usr/bin
if echo "$IFACE" | grep priv >/dev/null; then
iptables -F FORWARD
ip6tables -F FORWARD
iptables -P FORWARD DROP
ip6tables -P FORWARD DROP
iptables -A FORWARD -m state --state ESTABLISHED -j ACCEPT
ip6tables -A FORWARD -m state --state ESTABLI... | true |
35610da0cc7558badbb454a18e1285da9d5feb86 | Shell | shubh1905/dissertation_UOE | /run_preprocess_label.sh | UTF-8 | 1,556 | 2.875 | 3 | [] | no_license | #!/bin/bash
#conda activate temp_env
DATASET=$1
LABEL_EMB=$2 # pifa-tfidf | pifa-neural | text-emb
CLUSTER_SIZE=$3
#cd X-Transformers
# setup label embedding feature path
# overwrite it if necessary
DATA_DIR=./Data
if [ ${LABEL_EMB} == 'pifa-tfidf' ]; then
label_emb_inst_path=${DATA_DIR}/${DATASET}/X.trn.npz
el... | true |
ecf9d430777eb1ca66c2284d2c11773f514cbe46 | Shell | proudzhu/MdCharm | /dist/arch/PKGBUILD | UTF-8 | 2,093 | 2.6875 | 3 | [
"BSD-3-Clause"
] | permissive | # Maintainer: proudzhu <proudzhu at gmail.com>
pkgname=mdcharm-git
_pkgname=mdcharm
pkgver=r35.c4e8d4e
pkgrel=1
pkgdesc='A wiki editor, currently it supports markdown(markdown extra) and Multi-Markdown.'
arch=('i686' 'x86_64')
url='https://github.com/zhangshine/MdCharm'
license=('custom')
depends=('qt5-webkit' 'hunspe... | true |
26764e4240879bf60d918545ee5bd4270bfc60f1 | Shell | unix1986/universe | /script/cpidx.sh | UTF-8 | 753 | 3.484375 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
HOSTS="hostlist"
SRC_PATH="/home/search/zmq_gosearch3/*"
DST_PATH="/home/search/wangjingjing/"
declare -i THREAD_NUM=10
mkfifo /tmp/$$.fifo
exec 6<>/tmp/$$.fifo
rm -rf /tmp/$$.fifo
declare -i HOST_NUM=`cat $HOSTS| wc -l`
if [ $HOST_NUM -lt $THREAD_NUM ]; then
THREAD_NUM=$HOST_NUM
fi
echo "Thread num:... | true |
dc8fc45f092b5b87bf2817c2ba4cf74b8648aaeb | Shell | ceplbr/breach_snapshot | /sys/install_scripts/breach_install_part_4.sh | UTF-8 | 540 | 2.90625 | 3 | [] | no_license | #!/bin/bash
# CUSTOM COLORS
RED='\033[0;31m'
YELLOW='\033[1;33m'
NC='\033[0m'
printf "Breach install script -Part 4- Robot config\n"
printf "\nSorry, this is the manual part :( \n\n"
printf "1. Change IP settings in ~/.bashrc file\n"
printf "Change line to 'export ROS_MASTER_URI=http://192.168.1.X:11311'\n"
printf ... | true |
103891d7ff4a4c1b9a44e816dede08f938cff7bd | Shell | qianthinking/dotfiles | /zsh/kubectl.zsh | UTF-8 | 783 | 3.15625 | 3 | [
"BSD-2-Clause"
] | permissive | # you can disable this by exporting K8S_CONTEXT_NAMESPACE_ENV=disabled in .zshrc
# see zsh/prezto-themes/prompt_qianthinking_setup which
# ensure K8S_CONTEXT && K8S_NAMESPACE exists in SHELL PROMPT
if [ ! "$K8S_CONTEXT_NAMESPACE_ENV" = 'disabled' ]
then
function kubectl() {
if [ -z "$K8S_CONTEXT" ]; then
c... | true |
cb58ce79669688056c089730f90c23288c80138e | Shell | TeaPackCZ/Pine64_scripts | /battery_keeper.sh | UTF-8 | 491 | 3.546875 | 4 | [] | no_license | #!/bin/bash
BATTERY_PRESENT=$(cat /sys/class/power_supply/battery/present)
while [ "$BATTERY_PRESENT" -eq "1" ] ; do
sleep 30
BATTERYVOLTAGE=$(cat /sys/class/power_supply/battery/voltage_now)
if [ "3200000" -gt "$BATTERYVOLTAGE" ];
then
if [ "$(cat /sys/class/power_supply/battery/status)" -eq "Discharging" ];
... | true |
5ee5ea67c3db4df31f260f45f98e5965aa436ca0 | Shell | bluewaysw/pcgeos | /Tools/scripts/profile/bp | UTF-8 | 1,062 | 3.421875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
##############################################################################
#
# Copyright (c) Geoworks 1993 -- All Rights Reserved
#
# PROJECT: PC GEOS
# MODULE: Tools/scripts -- branchpoint analysis
# FILE: bp
# AUTHOR: John Wedgwood, 9/17/93
#
# REVISION HISTORY:
# Name Date Description
... | true |
08ae60ae4c74ec8648d884ec9411aab10c85ad23 | Shell | adriananeci/k8s-the-hard-way | /k8s_resources/apply_all.sh | UTF-8 | 1,493 | 3.453125 | 3 | [] | no_license | #!/usr/bin/env bash
dir_path=$(realpath $(dirname $0))
### 1. Apply monitoring stack
scratch_directory=$(mktemp -d)
cleanup() {
rm -rf "$scratch_directory"
}
trap cleanup EXIT
trap cleanup SIGINT
pushd "$scratch_directory" || exit 1
if ! git clone https://github.com/coreos/kube-prometheus.git; then
echo "An erro... | true |
3a0c02d69c96d89ffcfaedd761a761bd4fa4ad31 | Shell | vnagel/dotfiles | /bin/ls-installed | UTF-8 | 542 | 3.140625 | 3 | [] | no_license | #!/bin/bash
ls-apt-installed(){
comm -23 <(apt-mark showmanual | sort -u) <(gzip -dc /var/log/installer/initial-status.gz | sed -n 's/^Package: //p' | sort -u)
}
ls-npm-installed(){
npm list -g --depth 0
}
ls-cargo-installed(){
cargo install --list
}
ls-snap-installed(){
snap list
}
ls-installed(){... | true |
f6e58a7c4e7ee143850d54047a6f995866334976 | Shell | radiant-rstats/docker-vsix-dev | /update.sh | UTF-8 | 258 | 2.703125 | 3 | [] | no_license | rm vsix_list.txt
touch vsix_list.txt
vsix_list=$(ls -d *.vsix 2>/dev/null)
for i in ${vsix_list}; do
echo "https://github.com/radiant-rstats/docker-vsix-dev/raw/main/${i}" >> ../docker-vsix-dev/vsix_list.txt
done
git add .
git commit -m "update"
git push
| true |
3a229a5bf8e6c87de286f4937f10f3e14664599d | Shell | NovasisGDSBT/FullGDS | /www/backlight_counter.sh | UTF-8 | 1,413 | 3.265625 | 3 | [] | no_license | #!/bin/sh
TRUE="1"
COUNTER=0
SAVECOUNTER=0
TIMETOSAVE=300
if [ -f /tmp/backlight_on_counter ]; then
. /tmp/backlight_on_counter
COUNTER=$BACKLIGHT_ON_COUNTER
else
echo "BACKLIGHT_ON_COUNTER=0" > /tmp/backlight_on_counter
fi
while [ "$TRUE" == "1" ]; do
sleep 1
DEV=`cat /tmp/www/cgi-bin/lvds_device` ... | true |
7e45eac47239b170a7e716fd6f9dcf99595c58bd | Shell | rome-bot/automotive-ci | /tests/ostree/ostree.sh | UTF-8 | 728 | 2.765625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
USER=$1
PASS=$2
# Setup subscription-manager to enable yum repos
subscription-manager register --username $USER --password $PASS
subscription-manager role --set="Red Hat Enterprise Linux Server"
subscription-manager service-level --set="Self-Support"
subscription-manager usage --set="Development/T... | true |
1ad316d9ba678a78851e281c40048a374f79d4ee | Shell | l04m33/dot-files | /.oh-my-zsh_custom/plugins/my-gpg-agent/my-gpg-agent.plugin.zsh | UTF-8 | 613 | 3.390625 | 3 | [] | no_license | local GPG_AGENT_BIN=$(which gpg-agent)
local GPG_AGENT_ENV="$HOME/.gnupg/gpg-agent.env"
local GPG_CONNECT_AGENT_ERR_MSG="gpg-connect-agent: no gpg-agent running in this session"
function start_agent_withssh {
${GPG_AGENT_BIN} --quiet --enable-ssh-support --daemon 2> /dev/null > "${GPG_AGENT_ENV}"
chmod 600 "${... | true |
b6480e9181b915dd440e038141a5345ca615b78f | Shell | gleb-britecore/uptimer-api | /deployment/restart_if_git_changed.sh | UTF-8 | 311 | 2.890625 | 3 | [] | no_license | #!/usr/bin/env bash
git fetch --all
if [[ $(git rev-parse HEAD) == $(git rev-parse @{u}) ]]; then
echo 'remote branch has no changes, update will be skipped'
exit
fi
git reset --hard
git pull
echo 'Found new code on remote branch.. Restarting containers'
source set_docker_env.sh
bash ./restart.sh
| true |
f1b575dddb07bcbae74c6cacdddad2394e304ce3 | Shell | golemfactory/concent-deployment | /containers/signing-service/clean-container.sh | UTF-8 | 329 | 2.546875 | 3 | [] | no_license | #!/bin/bash -e
readarray temporary_dependencies <<< $(cat ${BASH_SOURCE%/*}/build-dependencies.txt ${BASH_SOURCE%/*}/pyenv-build-dependencies.txt)
# Clean up
apt-get clean
apt-get remove --purge --assume-yes ${temporary_dependencies[*]}
apt autoremove --assume-yes
rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/* ~/.cac... | true |
a885645a6be3644a37c0cbf9132ca67d47a77549 | Shell | levindoneto/IoT-Modelling-Tool | /scripts/bundle_windows.sh | UTF-8 | 847 | 3.125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Script for bundling the react components
# Author: Levindo Gabriel Taschetto Neto
# Advisors: Prof. Dr.-Ing. habil. Bernhard Mitschang,
# M.Sc. Ana Cristina Franco da Silva
# Dipl.-Inf. Pascal Hirmer
# Requirements:
# - Node JS (npm) installed
sed -i 's/\r$//' init.sh; # Remove trai... | true |
8ce648fddcd046563e6f8d877fffd7591d62c513 | Shell | Piraty/dotfiles | /bin/x-init | UTF-8 | 526 | 2.9375 | 3 | [] | no_license | #!/bin/sh
# initialize everything related to X
set_wallpaper() {
(
feh --no-fehbg --bg-fill ~/.wallpaper/default ||
feh --no-fehbg --bg-fill --recursive --randomize ~/.wallpaper ||
xsetroot -solid "#000000"
) 2>/dev/null
}
set_keyboard() {
# default X env
command -v xrdb >/dev/null && xrdb -merge -I"$HOME... | true |
071a30f995c4fbbb7460873dfe03af63f56a3782 | Shell | smileyspoon/665Midterm_Examples | /updateAll.sh | UTF-8 | 134 | 2.875 | 3 | [] | no_license | #!/bin/bash
ARG=${1:-"Update"}
for X in *.*
do
chmod u+x $X
done
git add *
git commit -a -m "$ARG"
git push -u origin master
| true |
4dbc9726d4ea1c7b97cb8f9e34fa27dff6848f2f | Shell | Munter/opencollective-api | /scripts/watch_email_template.sh | UTF-8 | 337 | 3.25 | 3 | [
"MIT"
] | permissive | #!/bin/bash
TEMPLATE="templates/emails/${1}.hbs"
function compileTemplate {
echo "Compiling $1";
babel-node scripts/compile-email.js $1 > /tmp/$1.html
echo "Done: /tmp/$1.html";
return 0
}
export -f compileTemplate
compileTemplate $@
echo "Watching ${TEMPLATE}";
fswatch -o templates/ | xargs -n1 bash -c "compi... | true |
42794d551e98590add5381311e401b8ae9c64877 | Shell | Adrian123K/linux | /find_word.sh | UTF-8 | 308 | 2.90625 | 3 | [
"MIT"
] | permissive | echo "-------------------------------------------------"
echo -n "스크립트를 입력하세요 : "
read script
echo -n "검색할 단어를 입력하세요 : "
read word
cnt=`grep -i $word $script | wc -l`
echo "$cnt행이 검색 되었습니다."
echo "-------------------------------------------------"
| true |
61766aa8b4180f59fc875df819b16dd386f205c6 | Shell | haoshuncheng/scripts | /install/redis/new_instance.sh | UTF-8 | 685 | 3.4375 | 3 | [] | no_license | #!/bin/sh
source ../header.sh
config() {
if [ x$1 = "x" ];then
echo "pls tell me port."
exit
fi
port=$1
cp $root/redis_init /etc/init.d/redis_$port
sed -i s/6379/$port/g /etc/init.d/redis_$port
if [ x$2 = "xdb" ];then
echo "db option enabled!"
cp $root/redis_db.conf /usr/local/etc/redis/$port... | true |
1c9bbf51d31328dc79d352cabde9858a335ce48f | Shell | avary/rom_build_tools | /build.sh | UTF-8 | 4,398 | 3.796875 | 4 | [] | no_license | #!/bin/bash
# Copyright (C) 2011 SuperTeam Development Group.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by appli... | true |
bac785a895827580c909dd1070827c37cae2cda1 | Shell | joeybaker/gymnastics-text | /run-local.sh | UTF-8 | 1,807 | 4 | 4 | [] | no_license | #! /bin/bash
port=1337
image_name="gymnasticstext_node-app"
build=1
function run_node_app {
have_docker=0
have_compose=0
hash docker-compose 2>/dev/null || have_compose=1
hash docker 2>/dev/null || have_docker=1
if [ "$have_compose" -eq 0 ]; then
if [ "$build" -eq 0 ]; then
ech... | true |
a6f158b0058fab78ddecd60534a1d10acbadaf31 | Shell | oconnormi/packer-templates | /centos/centos-7-jdk/scripts/install-vbox-additions.sh | UTF-8 | 619 | 3.234375 | 3 | [] | no_license | #!/bin/bash
_user=vagrant
_user_home=/home/$_user
_version=$(cat ${_user_home}/.vbox_version)
_kernel_version=$(uname -r)
_kernel_pkg=kernel-devel-$(uname -r)
_required_pkgs="gcc bzip2 make kernel-devel-${_kernel_version} gcc-c++ zlib-devel openssl-devel readline-devel"
_vbox_additions_path=${_user_home}/VBoxGuestAddi... | true |
88f632513290bd468b0947b40f82ac32bf5c9fa2 | Shell | mworion/MountWizzard4 | /support/2.0/MacOSx/MW4_Run.command | UTF-8 | 2,730 | 3.296875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
cd $(dirname "$0")
#
# run script for macOS
# (c) 2021 mworion
#
echo
echo ---------------------------------------------
echo
echo " ███╗ ███╗ ██╗ ██╗ ██╗ ██╗"
echo " ████╗ ████║ ██║ ██║ ██║ ██║"
echo " ██╔████╔██║ ██║ █╗ ██║ ███████║"
echo " ██║╚██╔╝██║ ██║███╗██║ ╚════██║"
echo " ██║ ╚═╝ ██║ ╚█... | true |
6b816c8f1b663236750d9e61f0f654d8839860e2 | Shell | Mic92/xfstests-cntr | /tests/generic/114 | UTF-8 | 1,106 | 3.3125 | 3 | [] | no_license | #! /usr/bin/env bash
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2015 Red Hat, Inc. All Rights Reserved.
#
# FS QA Test No. 114
#
# Test races while extending past EOF via sub-block AIO writes
#
seq=`basename $0`
seqres=$RESULT_DIR/$seq
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure... | true |
4141e06197be87989fb5a758f86c38670a1af645 | Shell | AmmarkoV/WebSniper | /uninstall.sh | UTF-8 | 769 | 2.78125 | 3 | [] | no_license | #!/bin/bash
if [ -e /usr/bin/WebSniper ]
then
sudo rm /usr/bin/WebSniper
else
#nothing to do :P
fi
if [ -e /usr/share/icons/websnipericon.png ]
then
sudo rm /usr/share/icons/websnipericon.png
else
#nothing to do :P
fi
if [ -e /usr/share/applications/WebSniper.desktop ]
then
... | true |
b3b39edaba7f48621585b0ca23ab2d9189b91544 | Shell | JustinHoyt/.dotfiles | /setup_linux.sh | UTF-8 | 235 | 2.640625 | 3 | [] | no_license | #!/usr/bin/env bash
if ! command -v nix &> /dev/null; then
sh <(curl -L https://nixos.org/nix/install) --daemon
fi
echo "${HOME}/.nix-profile/bin/zsh" | sudo -S tee -a /etc/shells
su - $USER -c 'bash ~/.dotfiles/setup_common.sh'
| true |
145de9a6eaaf0af593b71872a15969cfe0e92d5c | Shell | dwaraka/mymote | /tinyos.sh | UTF-8 | 397 | 2.5625 | 3 | [] | no_license | #! /usr/bin/env bash
# Here we setup the environment
# variables needed by the tinyos
# make system
echo "Setting up for TinyOS"
export TOSROOT=
export TOSDIR=
export MAKERULES=
TOSROOT="/opt/tinyosX"
TOSDIR="$TOSROOT/tos"
CLASSPATH=$CLASSPATH.:$TOSROOT/support/sdk/java/tinyos.jar
MAKERULES="$TOSROOT/support/make/M... | true |
b123193f5cde4e70c63108abadc5a8811a4521a3 | Shell | snappyflow/helm-charts | /charts/argocd/argocd_password_azure.sh | UTF-8 | 1,645 | 3.015625 | 3 | [] | no_license | #!/bin/bash -x
export PATH=/opt/microsoft/powershell/7:~/.local/bin:~/bin:~/.dotnet/tools:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/istio-latest/bin:/usr/local/linkerd/bin:/usr/lib/golang/bin:/opt/mssql-tools18/bin:~/bundle/bin:~/bundle/gems/bin:/home/asraf/.local/share/powershell/Scripts
... | true |
878e59df564edee5dcc93d0e7c335746b49b6bca | Shell | vboykox/bare | /pkg/sinit.sh | UTF-8 | 403 | 2.796875 | 3 | [
"ISC"
] | permissive | ver 1.0
epoc 1
dist $URI_SUCK/$PKG_NAME/$PKG_NAME-${PKG_VER}.tar.gz
pre_configure() {
ed config.mk <<-EOF
,s|^\(CC = \).*\$|\1$CC
,s|^\(PREFIX = \).*\$|\1$MK_PREFIX
/^CFLAGS/s|=|+=
w
q
EOF
ed config.def.h <<-EOF
,s|/bin/rc.init|/etc/rc
,s|/bin/rc.shutdown|/etc/rc
w
q
EOF
ed Makefile <<-"EOF"
,s|$(PREF... | true |
2338ce88a63728f9eeb2c285f8610581b799890c | Shell | LotharKAtt/packer-trymcp-day01 | /scripts/salt_bootstrap.sh | UTF-8 | 3,579 | 3.328125 | 3 | [] | no_license | #!/bin/bash -xe
if [ -f '/done_ubuntu_salt_bootstrap' ]; then
echo "INFO: ubuntu_salt_bootstrap already finished! Skipping.."
exit 0
fi
#
CLUSTER_NAME=${CLUSTER_NAME:-lost_cluster_name_variable}
CLUSTER_MODEL=${CLUSTER_MODEL:-https://github.com/Mirantis/mcp-offline-model.git}
CLUSTER_MODEL_REF=${CLUSTER_MODEL_REF:... | true |
0dec58e25886545a6c0c2521bf29a93fe849565a | Shell | patnaikshekhar/KubeValidateImagePrefix | /install.sh | UTF-8 | 1,783 | 2.890625 | 3 | [
"MIT"
] | permissive | #/bin/bash
echo "Clean Up"
kubectl delete secret pod-validation-secret -n development
kubectl delete ValidatingWebhookConfiguration denypublicimages
kubectl delete -f k8s/deploy.yaml
rm -r certs
echo "Creating certs"
mkdir certs && cd certs
openssl genrsa -out ca.key 2048
openssl req -x509 -new -nodes -key ca.key -da... | true |
8fe8af8cbb1bfd591bbaa4c068559a4527bb2295 | Shell | Phoenix-626/CodeEditor-application | /scripts/workon.sh | UTF-8 | 434 | 4.09375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# Simple script to start working on some modules
#
#
#base="https://github.com/ReleaseStandard/"
base="file://$(pwd)/../"
if [ "$#" -eq "0" ] ; then
echo "You must give plugins as arguments here ..."
exit 1
fi
for plugin in "$@" ; do
echo "Working on $plugin"
url="${base}/${plugin}"
echo "Getting m... | true |
57a64534cec8858c3cc0c1da2d60a8bf79ff0e73 | Shell | Surnagon/Sistemas_Embarcados | /Code/14_SPI/Ex1.sh | UTF-8 | 736 | 3.234375 | 3 | [] | no_license | #!/bin/bash
echo
echo Você leu README.md?
echo A SPI deverá estar habilitada para o código funcionar.
echo Vamos escrever na interface de comunicação SPI
echo através do arquivo /dev/spidev0.0.
echo
echo O comando
echo echo -ne \"\\x01\"
echo escreve o valor hexadecimal 0x01 na tela,
echo sem pular a linha \(\\n\).
ec... | true |
d1a8fb221e58f94c52caeb0499850bdf2da00cfb | Shell | dannyge/Tools | /java/jar-conflict-detect.sh | UTF-8 | 2,264 | 3.59375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#此脚本用于识别冲突的Jar包,可以在一个根目录下找到所有包含相同类的Jar包,并且根据相同类的多少来判断Jar包的相似度,
#常常用于某些功能上线不可用或者没有按照预期起到作用,使用此脚本分析是否存在两个版本的类,而老版本的类被Java虚拟机加载,
#其实,JVM规范并没有规定类路径下相同类的加载顺序,实现JVM规范的虚拟机的实现机制也各不相同,
#因此无法判断相同的类中哪个版本的类会被先加载,因此Jar包冲突是个非常讨厌的问题。
#命令格式:
# jar-conflict-detect 路径
if [ $# -eq 0 ];then
echo "please enter classpath dir"... | true |
39006be1aa9a2957aa336dec51325a797b1aa029 | Shell | ilventu/aur-mirror | /yubico-c-git/PKGBUILD | UTF-8 | 1,413 | 2.875 | 3 | [] | no_license | # Maintainer: Christian Hesse <mail@eworm.de>
pkgname=yubico-c-git
pkgver=20120621
pkgrel=1
pkgdesc="Yubico yubikey C library"
arch=('i686' 'x86_64')
url="https://github.com/Yubico/yubico-c"
license=('BSD')
depends=('curl')
replaces=('libyubikey')
provides=('libyubikey' 'yubico-c')
conflicts=('libyubikey' 'yubico-c')
... | true |
cdf8257b75756384bffa020892aa2195a5e5393e | Shell | petronny/aur3-mirror | /u8it-git/PKGBUILD | UTF-8 | 666 | 3.296875 | 3 | [] | no_license | _pkgname=u8it
pkgname=$_pkgname-git
pkgver=20100323
pkgrel=1
pkgdesc="u8it is used for Wii development to unpack .arc files."
url="http://github.com/icefire/$_pkgname/tree"
license="GPL"
arch=('i686' 'x86_64')
depends=()
makedepends=('git' 'gcc')
provides=($_pkgname)
_gitroot="git://github.com/icefire/$_pkgname.git"
_... | true |
7f002f2328e7907a4605d8eac744e70eb7616e8d | Shell | kellydunn/rsvm | /rsvm.sh | UTF-8 | 4,527 | 3.953125 | 4 | [
"MIT"
] | permissive | # Rust Version Manager
# ====================
#
# To use the rsvm command source this file from your bash profile.
RSVM_VERSION="0.1.0"
# Auto detect the NVM_DIR
if [ ! -d "$RSVM_DIR" ]
then
export RSVM_DIR=$(cd $(dirname ${BASH_SOURCE[0]:-$0}) && pwd)
fi
if [ -e "$RSVM_DIR/current/dist/bin" ]
then
PATH=$RSVM_DI... | true |
008bb65e39a7263145de0e6ef2f02785eb865356 | Shell | rcline/development-environment | /dotfiles/.profile | UTF-8 | 455 | 3.46875 | 3 | [] | no_license |
# Git bash prompt
function parse_git_dirty {
[[ $(git status 2> /dev/null | tail -n1) != "nothing to commit (working directory clean)" ]] && echo "*"
}
function parse_git_branch {
git branch --no-color 2> /dev/null | sed -e '/^[^*]/d' -e "s/* \(.*\)/ (\1$(parse_git_dirty))/"
}
RED="\[\033[0;31m\]"
YELLOW="\[\033[... | true |
2547a739e8429bf28edfc434c56d67357fb1c708 | Shell | divyanshu-talwar/B-Plus-Tree | /src/run_top_down.sh | UTF-8 | 489 | 2.9375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
echo "4" > bplustree.inp
echo "1000" >> bplustree.inp
echo "Generating 1000 random numbers to feed to the B + Tree"
python input.py > in
echo "Running External Merge Sort on the Random data generated...."
javac ExternalMergeSort.java
java ExternalMergeSort in out
cat out >> bplustree.inp
echo "Done sorting ... | true |
0b2b80d7345f3860d3cf420a4290e25a0ddd21bb | Shell | davidaq/aq-web-front-node | /lib/res/minifyall.sh | UTF-8 | 221 | 2.921875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
pushd `dirname $0` > /dev/null
find . -name \*.min.js -exec rm -f {} \; ; find . -name \*.js | while read x; do echo $x; uglifyjs $x -c -m -o ${x:0:${#x}-3}.min.js ; done
rm libPreset*.min.js
popd > /dev/null
| true |
ec047db3f4aae5877e68a65a151ce3010bd49eeb | Shell | ik-veon-dev/dotplant3 | /vagrant-env/provision_init.sh | UTF-8 | 1,563 | 3.21875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
ENV_DIR="/vagrant/vagrant-env"
MYSQL_DATABASE="dotplant3"
echo "==== apt update ===="
apt-get update
echo "==== Installing dependencies ===="
apt-get install -y mc htop memcached nodejs npm
locale-gen ru_RU.UTF-8 en_US.UTF-8
echo "==== Creating database ===="
mysqladmin -uroot -pvagrant create $... | true |
3eef86c94f6e7b7f62f9fbaaba1c79d924208286 | Shell | stonier/ckx_tools | /setup.bash | UTF-8 | 641 | 2.921875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Script for setting up the development environment.
if [ "${VIRTUAL_ENV}" == "" ]; then
workon ckx_tools
if [ $? -ne 0 ]; then
mkvirtualenv ckx_tools
if [ $? -ne 0 ]; then
sudo apt-get install virtualenvwrapper
mkvirtualenv ckx_tools
fi
# probably some python setup.py target... | true |
9ac480ea99a444faf3793b783d78b0f9eb5cfe58 | Shell | OpenGeoscience/fsqio | /scripts/upkeep/check.sh | UTF-8 | 753 | 4.0625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
DIR=$(dirname ${BASH_SOURCE[${#BASH_SOURCE[@]} - 1]})
source $DIR/run.sh
set -e
shopt -s nullglob # without this, empty $DIR would expand * to literal $DIR/*
ran=""
function check() {
task=$(basename $1)
required=$(cat $1)
current=""
if [ -f "$DIR"/current/"$task" ]; then
current=$(cat $DI... | true |
05954cc7cae237a8d976912572e70b0b23a6e67a | Shell | QaDeS/update-docker-dns | /update-docker-dns.sh | UTF-8 | 5,662 | 3.625 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# update-docker-dns is used to selectively expose docker containers by name
# Copyright (c) 2018, Sagi Zeevi (www.theimpossiblecode.com)
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met... | true |
44f7f295be99fc84672371a10b1e93e9084db273 | Shell | AlienTab1/dwltest | /iperf_day.sh | UTF-8 | 898 | 3.1875 | 3 | [] | no_license | #!/bin/sh
#SERVER=bouygues.testdebit.info
SERVER=bouygues.iperf.fr
#ping.online.net
OUTPUT_FILE=/root/dwltest/daily_results.log
die() {
echo "$1" | logger $msg
exit
}
logger "iperf dwl measure start, server: $SERVER"
#Rx state of wan interface
rx_state_start=`cat /proc/net/dev | awk '/br-wan/{ print $2 }'`
jso... | true |
fb5d32b8d387c59b46bfa25608e541a80de3cf4d | Shell | RobertAudi/.dotfiles | /zsh/.config/zsh/010_overrides.zsh | UTF-8 | 5,452 | 3.875 | 4 | [
"WTFPL"
] | permissive | # cd / smart_cd {{{
# ------------------------------------------------------------------------------
# Source: http://zshwiki.org/home/examples/functions
#
# - cd /etc/fstab → cd /etc
# - corrections on the given dirname (if directory could not be found)
# - all(?) other possible invocations of the builtin "cd"
# -----... | true |
641ca2a38b93ad40490e1dd6161503d5c823b160 | Shell | DataDog/dd-agent-integrations-build | /pre.sh | UTF-8 | 172 | 2.59375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
mkdir -p ~/pkg ~/keys
if [[ $DOCKER_IMAGE == *"rpm"* || $DOCKER_IMAGE == *"sles"* ]]
then
echo -e $RPM_GPG_KEY > /home/ubuntu/keys/RPM-SIGNING-KEY.private
fi
| true |
9b72e0441fce378dadc6ea3e7721fac73304e74c | Shell | joe-nano/docker | /standardese_dev/build.bash | UTF-8 | 571 | 3.421875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [[ ! -d "standardese" ]]; then
echo "error: need to mount /root/standardese to standardese source files" >/dev/stderr
exit 1
fi
if [[ ! -d "output" ]]; then
echo "error: need to mount /root/output to some directory that should contain the result" >/dev/stderr
exit 1
fi
set -e
mkdir buil... | true |
db22e20a7d32a3acd6c7d4a796dc2a6ad422c3fc | Shell | CodethinkLabs/provisioning-runners-VMs | /runners-registering/unregister_runner.sh | UTF-8 | 654 | 4.25 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
usage() {
cat <<EOF
usage: $0 -r RUNNER_NAME
This script unregisters gitlab runner called RUNNER_NAME.
OPTIONS:
-h Show this message
-r Provide a name of gitlab runner to unregister
EOF
}
unregister_runner() {
/usr/local/bin/gitlab-runner unregister -n "$runner_name"
}
main() ... | true |
a672e17b3eb82051f3260cc911d5946e23908838 | Shell | jmrbcu/dotfiles | /.common.sh | UTF-8 | 3,626 | 3.65625 | 4 | [] | no_license | #################################################################################
# General Options
#################################################################################
# path
custom="$HOME/.local/bin /usr/local/bin /usr/local/sbin /usr/local/opt/ruby/bin $HOME/.dotnet/tools"
for P in $custom; do
test -... | true |
6688dfa04a51329a995215bd11b69fd0b3d2a8e9 | Shell | PieLabs/pie-catalog | /deploy.sh | UTF-8 | 761 | 3.25 | 3 | [] | no_license | #!/usr/bin/env bash
echo "set up a deployment..."
app=$1
echo "app: $app"
rm -fr .deployment
rm -fr slug.tgz
rm -fr artifact.tgz
mkdir .deployment
read -d '' PROC_FILE << EOL
web: ./node-v7.4.0-linux-x64/bin/node ./lib/index.js
EOL
echo "$PROC_FILE" > .deployment/Procfile
GIT_VERSION="$(git describe --always)"... | true |
9fe6395a8fb1a46d30ae34061d321d66b48cff72 | Shell | kicktothecortex/scripts | /zip_to_cbr.sh | UTF-8 | 378 | 3.296875 | 3 | [] | no_license | #!/bin/bash
## Script to convert from zip file to cbr for comic readers
FILE=$1
ZIPFILE=`readlink -f "$1"`
TEMPDIR="/tmp"
ISSUE="${FILE%%.*}"
ISSUEDIR="temp_$ISSUE"
ORIGINALDIR=`pwd`
cd "$TEMPDIR"
mkdir "$ISSUEDIR"
cd "$ISSUEDIR"
unzip -d . "$ZIPFILE"
cd "$TEMPDIR"
rar a -ep "$ISSUE.cbr" "$ISSUEDIR"
mv -v "$ISSUE.cb... | true |
25802743dc6e5a7d2e0b965b00da49c4621e8aa7 | Shell | zgdkik/myops | /自动化运维/ansible/实战案例/ansible批量部署软件/ansible-deploy/deploy/centos7/define_env.sh | UTF-8 | 1,811 | 3.296875 | 3 | [] | no_license | #!/bin/bash
#description: ansible实现批量部署应用环境(仅适用于centos7)...
#version: v1.2
#auth: by zhengxin20180720
#email: hzzxin@tairanchina.com
DATE="$(date +%Y%m%d_%H%M)"
DYN_INVENTORY="/ansible-deploy/inventory/centos7_ip_list"
PLAYBOOK_DIR="/ansible-deploy/playbook/centos7"
ENV_PLAYBOOK="$PLAYBOOK_DIR/env_init.yml"
JDK_PLAYBO... | true |
659051b5bd6b30ffe096f2eb95eac5f414332066 | Shell | surskitt/scripts | /tile.sh | UTF-8 | 2,901 | 3.375 | 3 | [] | no_license | #!/usr/bin/env bash
mapfile -t curr_desktops < <(bspc query -D -d '.active')
focused_desktop=$(bspc query -D -d '.focused')
if [[ "${#}" -gt 18 ]]; then
echo "Error: only supports 18 vids or less"
exit 1
fi
# close window on desktops 7 and 8
(bspc query -N -d files; bspc query -N -d files2)|while read -r n; ... | true |
82dc8c35321eff568c0e4019e888f6ab1e807d63 | Shell | ddbox/fragments | /cert_stuff/make_server_cert.sh | UTF-8 | 825 | 3.21875 | 3 | [] | no_license | #!/bin/bash -x
server_name=$1
if [ "$server_name" = "" ]; then
echo usage $0 server_fqdn
exit 1
fi
cd root/ca
rm -rf intermediate/private/$server_name.key.pem
rm -rf intermediate/certs/$server_name.cert.pem
cd -
openssl genrsa \
-out root/ca/intermediate/private/$server_name.key.pem 2048
chmod 400 roo... | true |
9139870ed7f0938f3d6d0efa2285302ff960b11b | Shell | vdloo/simulacra | /vms.sh | UTF-8 | 2,535 | 3.6875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
# Set up some VMs in my home lab. Uses terraform to start up qemu machines with macvtap networking.
# This script needs to run on another host than the hypervisor because the hypervisor can not
# talk directly with the guests because macvtap injects packets directly into the hardware
# interface. To... | true |
08541c3e9cb7375d3629f2ccc701765c8f24ab1a | Shell | trimbakeshwar/shellScriptingProgram | /case_statment/digitToWeek.sh | UTF-8 | 263 | 3.203125 | 3 | [] | no_license | #!/bin/bash -x
read -p "enter day " x
case $x in
0)
echo sunday ;;
1)
echo monday ;;
2)
echo tusday ;;
3)
echo wensday ;;
4)
echo thursday ;;
5)
echo friday ;;
6)
echo saturday ;;
esac
| true |
55ebc9a838ed27efeeb9cdcd674fc85c8fa9ab9f | Shell | GovReady/testmachines | /vbkick-templates/Ubuntu12.04/validate/test_ruby.sh | UTF-8 | 399 | 3.28125 | 3 | [] | no_license | #!/bin/bash
set -e -E -u -o pipefail; shopt -s failglob;
# Feature: ruby interpreter
# Given ruby command
if ! command -v ruby >/dev/null 2>&1; then
printf "\e[1;31mruby: FAIL\n\e[0m"
exit
fi
# When I run "ruby --version" command
if ! ruby --version >/dev/null 2>&1; then
printf "\e[1;31mruby --version: FAI... | true |
641d08ff4d6062e686ed6a26c01814aeb309d2fa | Shell | alb-i/cluster-setups | /kubernetes-hetzner/create-mini-server.sh | UTF-8 | 192 | 2.828125 | 3 | [] | no_license | #!/bin/sh
if ! [ -z "$1" ] ; then
NAME="$1"
else
NAME="gru"
fi
set -x
./hcloud.sh server create --name "$NAME" --type cx31 --image "ubuntu-18.04" `$(dirname $0)/get-ssh-key-parameters.sh`
| true |
2c693bcc17680421e8a90e9a05d75368e8bbf778 | Shell | FabianDK/LongeviTE | /01-Download_raw_reads.sh | UTF-8 | 7,373 | 3.625 | 4 | [] | no_license | #DOWNLOAD OF SRA FILES
#Here we explain how we downloaded raw sequence reads from the SRA
#If necessary, change folder names and edit commands accordingly.
#Most commands were run on a computer cluster with multiple cores and large available memory
#Custom scripts used here (see required_scripts folder):
SRA_to_gzip_... | true |
9549d9d1ecdc28605002646315d4787c64222cf1 | Shell | aurelien-brabant/gnl-smasher | /scripts/compile.sh | UTF-8 | 966 | 3.640625 | 4 | [] | no_license | #!/bin/bash
# Compile get_next_line.o and get_next_line_utils.o
CC=gcc
CLFAGS='-Werror -Wextra -Wall'
# Compile the project object files.
#
# @param string the verified gnl path.
# @param number the BUFFER_SIZE to use.
function compile_proj_objs() {
sources=("get_next_line" "get_next_line_utils")
rm -rf .obj
m... | true |
bc618d1f81d4e7222ec641f259d910faeb88cc0c | Shell | AlexxandreFS/Batocera.PLUS | /plus/usr/bin/batocera-ds4motion | UTF-8 | 2,639 | 3.390625 | 3 | [] | no_license | #!/bin/bash
##
# Resolve o bug de indentificar 2 controles de PS4 com apenas 1 controle conectado.
# Funciona apenas com controle de PlayStation 4.
# Funciona em controle conectado por cabo ou pelo adaptador de controle oficial da Sony.
# Não funciona com controle conectado por adaptador bluetooth.
#
# Batocera... | true |
1633ccbb0dbdfc26a812aa16b52bd30dd6f0ac2a | Shell | charlesdaniels/toolchest | /bin/temputils | UTF-8 | 3,725 | 4.03125 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
########10########20########30## DOCUMENTATION #50########60########70########80
#
# OVERVIEW
# ========
# Utilities used to work with temporary directories. This is intended to be
# used only by other scripts, as it will probably not be particularly useful
# for an end user.
#
# USAGE
# =====
#
#... | true |
4785efb1db7821e7f2ab6afeff217e0aa30a120f | Shell | petronny/aur3-mirror | /xhtml11-doc/PKGBUILD | UTF-8 | 625 | 2.515625 | 3 | [] | no_license | # Contributor: Ondrej Kucera <ondrej.kucera@centrum.cz>
pkgname=xhtml11-doc
pkgver=20101123
pkgrel=2
pkgdesc="XHTML 1.1 Documentation"
arch=('any')
url="http://www.w3.org/TR/xhtml11"
license=('W3C')
depends=("xhtml-modularization-docs")
options=('docs' '!strip')
source=("http://www.w3.org/TR/2010/REC-xhtml11-${pkgver}... | true |
72f20561f993faf7f295e910a51b81cdde43da7e | Shell | B3W/RNAMapping | /kallisto_index.sh | UTF-8 | 1,075 | 3.640625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Copyright (c) 2019 Weston Berg
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.